Bug 1021246 - root logical volume not found by dracut during boot
root logical volume not found by dracut during boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-20 14:05 EDT by Reinhard Waas
Modified: 2014-02-05 17:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:29:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport from dracut's failed boot (131.46 KB, text/plain)
2013-10-20 14:05 EDT, Reinhard Waas
no flags Details

  None (edit)
Description Reinhard Waas 2013-10-20 14:05:25 EDT
Created attachment 814285 [details]
sosreport from dracut's failed boot

Description of problem:
Using Fedora18 Latest packages, dracut produces an initramfs which does not activate the root volume group properly. After a timeout, it starts an emergency shell. I can manually run lvm commands from the emergency shell and exit, which then continues the boot process properly. Just FYI, I am booting Fedora from grub2-efi-2.00-15.fc18.x86_64 on an UEFI system, which has worked fine for a year already.


Version-Release number of selected component (if applicable):
dracut-029-1.fc18.2.x86_64


How reproducible:
Upgrade dracut, re-run mkinitrd, reboot using same kernel and new initramfs


Steps to Reproduce:
1. Using dracut-024-18.git20130102.fc18.x86_64 and kernel-3.10.10-100.fc18.x86_64 or kernel-3.10.14-100.fc18.x86_64 or kernel-3.11.4-101.fc18.x86_64, the created initramfs boots fine
2. Using dracut-029-1.fc18.2.x86_64, the newly-created initramfs times out after having reached targes Basic System for all the above kernel versions. The same applies if booting the above kernel as Dom-0 under xen-4.2.3
3. Downgrade dracut back to version 024-18.git20130102.fc18.x86_64 and re-creating the initramfs, all the three kernels boot fine again.

Actual results:
[  OK  ] Show Plymouth Boot Screen.
[  OK  ] Reached target Paths.
[  OK  ] Reached target Basic System.
   (then no output for ~3 minutes)
dracut-initqueue[280]: Warning: Could not boot
dracut-initqueue[280]: Warning: /dev/mapper/sys-root does not exist
dracut-initqueue[280]: Warning: /dev/sys/root does not exist
dracut-initqueue[280]: Warning: /dev/sys/swap does not exist
dracut-initqueue[280]: Warning: /dev/sys/usr does not exist
         Starting Setup Virtual Console...
[  OK  ] Started Setup Virtual Console.
         Started Dracut Emergency Shell...
Warning: /dev/mapper/sys-root does not exist
Warning: /dev/sys/root does not exist
Warning: /dev/sys/swap does not exist
Warning: /dev/sys/usr does not exist

Generating /run/initramfs/sosreport.txt


Expected results:
[  OK  ] Started Show Plymouth Boot Screen.
[  OK  ] Reached target Basic System.

Welcome to Fedora 18 (Spherical Cow)!

         Stopping Switch Root...
         Expecting device dev-hvc0.device...
         Mounting RPC Pipe File System...
[  OK  ] Listening on Syslog Socket.
[  OK  ] Reached target Remote File Systems.
         Starting Load legacy module configuration...
[  OK  ] Listening on Delayed Shutdown Socket.
[  OK  ] Listening on /dev/initctl Compatibility Named Pipe.
         Starting Setup Virtual Console...
         Starting Apply Kernel Variables...
         Starting Load Kernel Modules...
         Mounting Debug File System...


Additional info:
Comment 1 Reinhard Waas 2013-10-20 14:27:48 EDT
initramfs created by dracut-029-1.fc18.2.x86_64:
http://www.waas-frankfurt.de/~reinhard/initramfs-3.10.10-100.fc18.x86_64.bad
size 33112325 Bytes
md5sum: 913c4a18feb96d1377581be9f5b2683c



initramfs created by dracut-024-18.git20130102.fc18.x86_64:
http://www.waas-frankfurt.de/~reinhard/initramfs-3.10.10-100.fc18.x86_64.good
size 21297507 Bytes
md5sum: 74abac11909fdb34feb8d7198bf8375c
Comment 2 Fedora End Of Life 2013-12-21 09:41:50 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 17:29:44 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.